Subject: Re: [PATCH] powerpc/eeh: trivial fix to non-conventional PCI address output on EEH log

From: Gavin Shan <[email-masked]>
Date: Mon, 25 Jul 2016 11:46:41 +1000

On Mon, Jul 25, 2016 at 10:47:13AM +1000, Michael Ellerman wrote:
>"Guilherme G. Piccoli" <[email-masked]> writes:
>
>> This is a very minor/trivial fix for the output of PCI address on EEH logs.
>> The PCI address on "OF node" field currently is using ":" as a separator
>> for the function, but the usual separator is ".". This patch changes the
>> separator for dot, so the PCI address is printed as usual.
>>
>> No functional changes were introduced.
>
>What consumes the log? Can it cope with us changing the formatting?
>

The log is printed by pr_warn() as part of the EEH kernel log. Also,
it's argument passed to RTAS call "ibm,slot-error-detail" and it's
put into the user data section of the RTAS call's output, which is
used by RTAS daemon (rtasd) then. I don't see anyone expects fixed
format for it in the user data section.

The format was ever adjusted in commit 0ed352dddbfc ("powerpc/eeh:
Reduce lines of log dump") on Jul 17 2014. No complains received
against it so far. I guess nobody cares about the format or there
is a alarm isn't raised yet :)

Thanks,
Gavin